Package fr.gouv.vitam.collect.internal.core.csv

# Class CsvHeaderValidationManager

java.lang.Object
fr.gouv.vitam.collect.internal.core.csv.CsvHeaderValidationManager

All Implemented Interfaces:
  `AutoCloseable`

public class CsvHeaderValidationManager extends Object implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CsvHeaderValidationManager(List<String> headerNames)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `containsHeaderName(String headerName)`
  `Iterable<String>`
  `getRemainingContentHeaderNamesToValidate()`
  `Iterable<String>`
  `getRemainingHeaderNamesToValidate()`
  `Iterable<String>`
  `getRemainingHeaderNamesToValidate(Predicate<String> filter)`
  `Iterable<String>`
  `getRemainingHeaderNamesToValidateByPrefix(String prefix)`
  `Iterable<String>`
  `getRemainingMainContentHeaderNamesToValidate()`
  `Iterable<String>`
  `getRemainingManagementHeaderNamesToValidate()`
  `void`
  `report(String headerName, String message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CsvHeaderValidationManager

    public CsvHeaderValidationManager(List<String> headerNames)

- ## Method Details

  - ### getRemainingHeaderNamesToValidate

    public Iterable<String> getRemainingHeaderNamesToValidate()

  - ### getRemainingHeaderNamesToValidate

    public Iterable<String> getRemainingHeaderNamesToValidate(Predicate<String> filter)

  - ### getRemainingHeaderNamesToValidateByPrefix

    public Iterable<String> getRemainingHeaderNamesToValidateByPrefix(String prefix)

  - ### getRemainingContentHeaderNamesToValidate

    public Iterable<String> getRemainingContentHeaderNamesToValidate()

  - ### getRemainingMainContentHeaderNamesToValidate

    public Iterable<String> getRemainingMainContentHeaderNamesToValidate()

  - ### getRemainingManagementHeaderNamesToValidate

    public Iterable<String> getRemainingManagementHeaderNamesToValidate()

  - ### containsHeaderName

    public boolean containsHeaderName(String headerName)

  - ### report

    public void report(String headerName, String message) throws CollectInvalidCsvFormatException
    Throws:
      `CollectInvalidCsvFormatException`

  - ### close

    public void close() throws CollectInvalidCsvFormatException
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `CollectInvalidCsvFormatException`